This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 504349 - glyph corruption, again (still?) with i945
glyph corruption, again (still?) with i945
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-05 14:11 EDT by Bill Nottingham
Modified: 2014-03-16 23:18 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-27 11:31:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
text glyph corruption (3.42 KB, image/png)
2009-06-05 14:12 EDT, Bill Nottingham
no flags Details
X log (68.27 KB, text/plain)
2009-06-05 18:02 EDT, Bill Nottingham
no flags Details

  None (edit)
Description Bill Nottingham 2009-06-05 14:11:36 EDT
Description of problem:

See attached. Screenshot is of xchat-gnome, the corrupted glyphs should be a capital letter 'O'.

Version-Release number of selected component (if applicable):

kernel-2.6.29.4-167.fc11.x86_64
xorg-x11-drv-intel-2.7.0-7.fc11.x86_64

How reproducible:

Just showed up now.
Comment 1 Bill Nottingham 2009-06-05 14:12:28 EDT
Created attachment 346698 [details]
text glyph corruption
Comment 2 Bill Nottingham 2009-06-05 14:51:16 EDT
$ cat /proc/dri/0/gem_objects 
9801 objects
442314752 object bytes
4 pinned
22888448 pin bytes
247496704 gtt bytes
260313088 gtt total

dmesg is boring:

PM: Syncing filesystems ... done.
PM: Preparing system for mem sleep
Freezing user space processes ... (elapsed 0.00 seconds) done.
Freezing remaining freezable tasks ... (elapsed 0.00 seconds) done.
PM: Entering mem sleep
Suspending console(s) (use no_console_suspend to debug)
sd 0:0:0:0: [sda] Synchronizing SCSI cache
sd 0:0:0:0: [sda] Stopping disk
nsc-ircc 00:0a: disabled
e1000e 0000:02:00.0: PME# enabled
e1000e 0000:02:00.0: PME# enabled
e1000e 0000:02:00.0: PCI INT A disabled
ACPI handle has no context!
ata6: port disabled. ignoring.
ata_piix 0000:00:1f.1: PCI INT C disabled
ehci_hcd 0000:00:1d.7: PCI INT D disabled
ehci_hcd 0000:00:1d.7: PME# disabled
ehci_hcd 0000:00:1d.7: power state changed by ACPI to D3
uhci_hcd 0000:00:1d.3: PCI INT D disabled
uhci_hcd 0000:00:1d.2: PCI INT C disabled
uhci_hcd 0000:00:1d.1: PCI INT B disabled
uhci_hcd 0000:00:1d.0: PCI INT A disabled
pciehp 0000:00:1c.3:pcie02: pciehp_suspend ENTRY
pciehp 0000:00:1c.2:pcie02: pciehp_suspend ENTRY
pciehp 0000:00:1c.1:pcie02: pciehp_suspend ENTRY
pciehp 0000:00:1c.0:pcie02: pciehp_suspend ENTRY
HDA Intel 0000:00:1b.0: PCI INT B disabled
[drm:i915_get_vblank_counter] *ERROR* trying to get vblank count for disabled pipe 0
i915 0000:00:02.0: PCI INT A disabled
i915 0000:00:02.0: power state changed by ACPI to D3
ACPI: Preparing to enter system sleep state S3
Disabling non-boot CPUs ...
kvm: disabling virtualization on CPU1
CPU 1 is now offline
SMP alternatives: switching to UP code
CPU0 attaching NULL sched-domain.
CPU1 attaching NULL sched-domain.
CPU0 attaching NULL sched-domain.
CPU1 is down
Extended CMOS year: 2000
x86 PAT enabled: cpu 0, old 0x7040600070406, new 0x7010600070106
Back to C!
CPU0: Thermal monitoring handled by SMI
Extended CMOS year: 2000
i915 0000:00:02.0: restoring config space at offset 0x1 (was 0x900003, writing 0x900007)
pci 0000:00:02.1: restoring config space at offset 0x1 (was 0x900000, writing 0x900003)
HDA Intel 0000:00:1b.0: restoring config space at offset 0x1 (was 0x100106, writing 0x100102)
pcieport-driver 0000:00:1c.0: restoring config space at offset 0x1 (was 0x180107, writing 0x100507)
pcieport-driver 0000:00:1c.1: restoring config space at offset 0x1 (was 0x100107, writing 0x100507)
pcieport-driver 0000:00:1c.2: restoring config space at offset 0x1 (was 0x100107, writing 0x100507)
pcieport-driver 0000:00:1c.3: restoring config space at offset 0xf (was 0x40400, writing 0x4040b)
pcieport-driver 0000:00:1c.3: restoring config space at offset 0x9 (was 0x10001, writing 0xe421e421)
pcieport-driver 0000:00:1c.3: restoring config space at offset 0x8 (was 0x0, writing 0xebf0ea00)
pcieport-driver 0000:00:1c.3: restoring config space at offset 0x7 (was 0x20000000, writing 0x20008070)
pcieport-driver 0000:00:1c.3: restoring config space at offset 0x3 (was 0x810000, writing 0x810010)
pcieport-driver 0000:00:1c.3: restoring config space at offset 0x1 (was 0x100000, writing 0x100507)
uhci_hcd 0000:00:1d.0: restoring config space at offset 0x1 (was 0x2800005, writing 0x2800001)
uhci_hcd 0000:00:1d.1: restoring config space at offset 0x1 (was 0x2800005, writing 0x2800001)
uhci_hcd 0000:00:1d.2: restoring config space at offset 0x1 (was 0x2800005, writing 0x2800001)
uhci_hcd 0000:00:1d.3: restoring config space at offset 0x1 (was 0x2800005, writing 0x2800001)
ehci_hcd 0000:00:1d.7: restoring config space at offset 0x1 (was 0x2900106, writing 0x2900102)
pci 0000:00:1e.0: restoring config space at offset 0x1 (was 0x100005, writing 0x100007)
ata_piix 0000:00:1f.1: restoring config space at offset 0x1 (was 0x2800005, writing 0x2880005)
ahci 0000:00:1f.2: restoring config space at offset 0x1 (was 0x2b00007, writing 0x2b00407)
iwl3945 0000:03:00.0: restoring config space at offset 0x1 (was 0x100106, writing 0x100506)
yenta_cardbus 0000:15:00.0: restoring config space at offset 0xf (was 0x34001ff, writing 0x5c0010b)
yenta_cardbus 0000:15:00.0: restoring config space at offset 0xe (was 0x0, writing 0x94fc)
yenta_cardbus 0000:15:00.0: restoring config space at offset 0xd (was 0x0, writing 0x9400)
yenta_cardbus 0000:15:00.0: restoring config space at offset 0xc (was 0x0, writing 0x90fc)
yenta_cardbus 0000:15:00.0: restoring config space at offset 0xb (was 0x0, writing 0x9000)
yenta_cardbus 0000:15:00.0: restoring config space at offset 0xa (was 0x0, writing 0xc7fff000)
yenta_cardbus 0000:15:00.0: restoring config space at offset 0x9 (was 0x0, writing 0xc4000000)
yenta_cardbus 0000:15:00.0: restoring config space at offset 0x8 (was 0x0, writing 0xe3fff000)
yenta_cardbus 0000:15:00.0: restoring config space at offset 0x7 (was 0x0, writing 0xe0000000)
yenta_cardbus 0000:15:00.0: restoring config space at offset 0x6 (was 0x0, writing 0xb0171615)
yenta_cardbus 0000:15:00.0: restoring config space at offset 0x4 (was 0x0, writing 0xe4300000)
yenta_cardbus 0000:15:00.0: restoring config space at offset 0x3 (was 0x20000, writing 0x2a820)
yenta_cardbus 0000:15:00.0: restoring config space at offset 0x1 (was 0x2100000, writing 0x2100007)
pciehp 0000:00:1c.0:pcie02: Card present on Slot(2)
Enabling non-boot CPUs ...
SMP alternatives: switching to SMP code
pciehp 0000:00:1c.0:pcie02: Device 0000:02:00.0 already exists at 0000:02:00, cannot hot-add
pciehp 0000:00:1c.0:pcie02: Cannot add device at 0000:02:00
Booting processor 1 APIC 0x1 ip 0x6000
Initializing CPU#1
Calibrating delay using timer specific routine.. 3988.77 BogoMIPS (lpj=1994385)
CPU: L1 I cache: 32K, L1 D cache: 32K
CPU: L2 cache: 4096K
CPU 1/0x1 -> Node 0
CPU: Physical Processor ID: 0
CPU: Processor Core ID: 1
CPU1: Thermal monitoring enabled (TM2)
x86 PAT enabled: cpu 1, old 0x7040600070406, new 0x7010600070106
CPU1: Intel(R) Core(TM)2 CPU         T7200  @ 2.00GHz stepping 06
kvm: enabling virtualization on CPU1
CPU0 attaching NULL sched-domain.
Switched to high resolution mode on CPU 1
CPU0 attaching sched-domain:
 domain 0: span 0-1 level MC
  groups: 0 1
CPU1 attaching sched-domain:
 domain 0: span 0-1 level MC
  groups: 1 0
CPU1 is up
ACPI: Waking up from system sleep state S3
ACPI: EC: non-query interrupt received, switching to interrupt mode
i915 0000:00:02.0: power state changed by ACPI to D0
i915 0000:00:02.0: power state changed by ACPI to D0
i915 0000:00:02.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
i915 0000:00:02.0: setting latency timer to 64
[drm] LVDS-8: set mode 1400x1050 f
pci 0000:00:02.1: PME# disabled
HDA Intel 0000:00:1b.0: PCI INT B -> GSI 17 (level, low) -> IRQ 17
HDA Intel 0000:00:1b.0: setting latency timer to 64
pcieport-driver 0000:00:1c.0: setting latency timer to 64
pciehp 0000:00:1c.0:pcie02: pciehp_resume ENTRY
pcieport-driver 0000:00:1c.1: setting latency timer to 64
pciehp 0000:00:1c.1:pcie02: pciehp_resume ENTRY
pcieport-driver 0000:00:1c.2: setting latency timer to 64
pciehp 0000:00:1c.2:pcie02: pciehp_resume ENTRY
pcieport-driver 0000:00:1c.3: setting latency timer to 64
pciehp 0000:00:1c.3:pcie02: pciehp_resume ENTRY
uhci_hcd 0000:00:1d.0: power state changed by ACPI to D0
uhci_hcd 0000:00:1d.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
uhci_hcd 0000:00:1d.0: setting latency timer to 64
usb usb2: root hub lost power or was reset
uhci_hcd 0000:00:1d.1: PCI INT B -> GSI 17 (level, low) -> IRQ 17
uhci_hcd 0000:00:1d.1: setting latency timer to 64
usb usb3: root hub lost power or was reset
uhci_hcd 0000:00:1d.2: power state changed by ACPI to D0
uhci_hcd 0000:00:1d.2: PCI INT C -> GSI 18 (level, low) -> IRQ 18
uhci_hcd 0000:00:1d.2: setting latency timer to 64
usb usb4: root hub lost power or was reset
uhci_hcd 0000:00:1d.3: PCI INT D -> GSI 19 (level, low) -> IRQ 19
uhci_hcd 0000:00:1d.3: setting latency timer to 64
usb usb5: root hub lost power or was reset
ehci_hcd 0000:00:1d.7: PME# disabled
ehci_hcd 0000:00:1d.7: power state changed by ACPI to D0
ehci_hcd 0000:00:1d.7: PCI INT D -> GSI 19 (level, low) -> IRQ 19
ehci_hcd 0000:00:1d.7: setting latency timer to 64
ehci_hcd 0000:00:1d.7: PME# disabled
pci 0000:00:1e.0: setting latency timer to 64
ata_piix 0000:00:1f.1: restoring config space at offset 0x1 (was 0x2800005, writing 0x2880005)
ata_piix 0000:00:1f.1: PCI INT C -> GSI 16 (level, low) -> IRQ 16
ata_piix 0000:00:1f.1: setting latency timer to 64
ata6: port disabled. ignoring.
ahci 0000:00:1f.2: setting latency timer to 64
e1000e 0000:02:00.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
e1000e 0000:02:00.0: setting latency timer to 64
e1000e 0000:02:00.0: PME# disabled
e1000e 0000:02:00.0: PME# disabled
e1000e 0000:02:00.0: irq 29 for MSI/MSI-X
ata5.00: ACPI cmd ef/03:42:00:00:00:a0 filtered out
ata5.00: ACPI cmd ef/03:0c:00:00:00:a0 filtered out
ata5.00: ACPI cmd e3/00:79:00:00:00:a0 succeeded
ata5.00: ACPI cmd e3/00:01:00:00:00:a0 succeeded
ata5.00: configured for UDMA/33
nsc-ircc 00:0a: activated
sd 0:0:0:0: [sda] Starting disk
ata1: SATA link up 1.5 Gbps (SStatus 113 SControl 300)
ata1.00: ACPI cmd ef/02:00:00:00:00:a0 succeeded
ata1.00: ACPI cmd f5/00:00:00:00:00:a0 filtered out
ata1.00: ACPI cmd ef/5f:00:00:00:00:a0 succeeded
ata1.00: ACPI cmd ef/10:03:00:00:00:a0 filtered out
ata1.00: ACPI cmd ef/02:00:00:00:00:a0 succeeded
ata1.00: ACPI cmd f5/00:00:00:00:00:a0 filtered out
ata1.00: ACPI cmd ef/5f:00:00:00:00:a0 succeeded
ata1.00: ACPI cmd ef/10:03:00:00:00:a0 filtered out
ata1.00: configured for UDMA/100
ata1.00: configured for UDMA/100
ata1: EH complete
sd 0:0:0:0: [sda] 195371568 512-byte hardware sectors: (100 GB/93.1 GiB)
sd 0:0:0:0: [sda] Write Protect is off
sd 0:0:0:0: [sda] Mode Sense: 00 3a 00 00
sd 0:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
sd 0:0:0:0: [sda] 195371568 512-byte hardware sectors: (100 GB/93.1 GiB)
sd 0:0:0:0: [sda] Write Protect is off
sd 0:0:0:0: [sda] Mode Sense: 00 3a 00 00
sd 0:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
usb 1-4: reset high speed USB device using ehci_hcd and address 2
usb 5-2: reset full speed USB device using uhci_hcd and address 3
PM: Finishing wakeup.
Restarting tasks ... done.
e1000e 0000:02:00.0: irq 29 for MSI/MSI-X
e1000e 0000:02:00.0: irq 29 for MSI/MSI-X
ADDRCONF(NETDEV_UP): eth0: link is not ready
Registered led device: iwl-phy0:radio
Registered led device: iwl-phy0:assoc
Registered led device: iwl-phy0:RX
Registered led device: iwl-phy0:TX
ADDRCONF(NETDEV_UP): wlan0: link is not ready
wlan0: direct probe to AP 00:14:bf:ea:e4:94 try 1
wlan0: direct probe to AP 00:14:bf:ea:e4:94 try 2
wlan0: direct probe to AP 00:14:bf:ea:e4:94 try 3
usb 5-1: new full speed USB device using uhci_hcd and address 11
usb 5-1: New USB device found, idVendor=0a5c, idProduct=2110
usb 5-1: New USB device strings: Mfr=1, Product=2, SerialNumber=0
usb 5-1: Product: BCM2045B
usb 5-1: Manufacturer: Broadcom Corp
usb 5-1: configuration #1 chosen from 1 choice
wlan0: direct probe to AP 00:14:bf:ea:e4:94 timed out
e1000e: eth0 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: RX
ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
eth0: no IPv6 routers present
kjournald starting.  Commit interval 5 seconds
EXT3 FS on loop0, internal journal
EXT3-fs: mounted filesystem with ordered data mode.
SELinux: initialized (dev loop0, type ext3), uses xattr
kjournald starting.  Commit interval 5 seconds
EXT3 FS on loop0, internal journal
EXT3-fs: mounted filesystem with ordered data mode.
SELinux: initialized (dev loop0, type ext3), uses xattr
e1000e: eth0 NIC Link is Down
e1000e: eth0 NIC Link is Up 100 Mbps Full Duplex, Flow Control: None
0000:02:00.0: eth0: 10/100 speed: disabling TSO
e1000e: eth0 NIC Link is Down
e1000e: eth0 NIC Link is Up 100 Mbps Full Duplex, Flow Control: None
0000:02:00.0: eth0: 10/100 speed: disabling TSO
e1000e: eth0 NIC Link is Down
e1000e: eth0 NIC Link is Up 100 Mbps Full Duplex, Flow Control: None
0000:02:00.0: eth0: 10/100 speed: disabling TSO
e1000e: eth0 NIC Link is Down
e1000e: eth0 NIC Link is Up 100 Mbps Full Duplex, Flow Control: None
0000:02:00.0: eth0: 10/100 speed: disabling TSO
e1000e: eth0 NIC Link is Down
e1000e: eth0 NIC Link is Up 100 Mbps Full Duplex, Flow Control: None
0000:02:00.0: eth0: 10/100 speed: disabling TSO
e1000e: eth0 NIC Link is Down
e1000e: eth0 NIC Link is Up 100 Mbps Full Duplex, Flow Control: None
0000:02:00.0: eth0: 10/100 speed: disabling TSO
e1000e: eth0 NIC Link is Down
e1000e: eth0 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: RX

All of this predates the error.
Comment 3 Bill Nottingham 2009-06-05 18:02:08 EDT
Created attachment 346724 [details]
X log
Comment 4 Matěj Cepl 2009-06-05 18:34:03 EDT
[00:30:31] mcepl: is it just a letter here and there or something more massive like the previous one?

[00:33:00] notting: just one letter ATM
Comment 6 Matěj Cepl 2009-11-05 13:30:46 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 7 Bug Zapper 2010-04-27 10:40:20 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bill Nottingham 2010-04-27 11:31:27 EDT
WFM.

Note You need to log in before you can comment on or make changes to this bug.